%%% Monte Carlo Dynamic Classifier tool - MCDC tool
% http://www.ismvideo.org/NDE0UP/MCDCtool/en/index.html

% Copyright (C) 2014 Gareth W. Peters, Tomoko Matsui, Francois Septier, and Akira Tamamori

% This program is free software; you can redistribute it and/or modify it under the terms
% of the GNU General Public License as published by the Free Software Foundation; either
% version 2 of the License, or (at your option) any later version.

% This program is distributed in the hope that it will be useful, but WITHOUT ANY
% WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE.  See the GNU General Public License for more details.

% You should have received a copy of the GNU General Public License along with this
% program; if not, see <http://www.gnu.org/licenses/>.

Iters = [100 200 300 400 500 600 700 800 900 1000];
Iter = Iters(end);

load('logs/LorenzModelPMCMC2_Data.mat');

Graphs.YE('plots/LorenzModelPMCMC2_YE', ['logs/LorenzModelPMCMC2_' num2str(Iter) '.mat'], Iters);
Graphs.XE('plots/LorenzModelPMCMC2_XE', ['logs/LorenzModelPMCMC2_' num2str(Iter) '.mat'], Iters);
Graphs.YEMean('plots/LorenzModelPMCMC2_YEMean', ['logs/LorenzModelPMCMC2_' num2str(Iter) '.mat']);
Graphs.XEMean('plots/LorenzModelPMCMC2_XEMean', ['logs/LorenzModelPMCMC2_' num2str(Iter) '.mat']);

Graphs.Loglik('plots/LorenzModelPMCMC2_Loglik', ['logs/LorenzModelPMCMC2_' num2str(Iter) '.mat']);

quit;
